org.springframework.ldap.pool.factory

## Class MutablePoolingContextSource

- java.lang.Object
- - org.springframework.ldap.core.support.DelegatingBaseLdapPathContextSourceSupport
  - - org.springframework.ldap.pool.factory.PoolingContextSource
    - - org.springframework.ldap.pool.factory.MutablePoolingContextSource

- All Implemented Interfaces:
    DisposableBean, ContextSource, BaseLdapPathSource

      public class MutablePoolingContextSource
      extends PoolingContextSource

  A `PoolingContextSource` subclass that creates `MutableDelegatingLdapContext` instances. This enables the Spring LDAP pooling to be used in scenarios that require request controls to be set, such as paged results.

- - ### Field Summary

    - ### Fields inherited from class org.springframework.ldap.pool.factory.PoolingContextSource

      `keyedObjectPool, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutablePoolingContextSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DirContext` | `getContext(DirContextType dirContextType)` Gets a DirContext of the specified type from the keyed object pool.

    - ### Methods inherited from class org.springframework.ldap.pool.factory.PoolingContextSource

      `destroy, getContext, getContextSource, getDirContextValidator, getMaxActive, getMaxIdle, getMaxTotal, getMaxWait, getMinEvictableIdleTimeMillis, getMinIdle, getNumActive, getNumIdle, getNumTestsPerEvictionRun, getReadOnlyContext, getReadWriteContext, getTarget, getTestOnBorrow, getTestOnReturn, getTestWhileIdle, getTimeBetweenEvictionRunsMillis, getWhenExhaustedAction, setContextSource, setDirContextValidator, setMaxActive, setMaxIdle, setMaxTotal, setMaxWait, setMinEvictableIdleTimeMillis, setMinIdle, setNonTransientExceptions, setNumTestsPerEvictionRun, setTestOnBorrow, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setWhenExhaustedAction`

    - ### Methods inherited from class org.springframework.ldap.core.support.DelegatingBaseLdapPathContextSourceSupport

      `getBaseLdapName, getBaseLdapPath, getBaseLdapPathAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutablePoolingContextSource

          public MutablePoolingContextSource()

  - ### Method Detail

    - #### getContext

          protected DirContext getContext(DirContextType dirContextType)

      Description copied from class: `PoolingContextSource`
      Gets a DirContext of the specified type from the keyed object pool.
      Overrides:
        `getContext` in class `PoolingContextSource`
      Parameters:
        `dirContextType` - The type of context to return.
      Returns:
        A wrapped DirContext of the specified type.